<%@ page import="com.atlassian.jira.ManagerFactory,
                 com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.config.properties.ApplicationProperties"%>
<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>

<%
ApplicationProperties headerAP = ManagerFactory.getApplicationProperties();
%>

<%-- get the decorator page object, for use within the decorator --%>
<decorator:usePage id="decoratorPage" />

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title><decorator:title default="JIRA" /></title>
    <META http-equiv="Content-Type" content="<%= headerAP.getContentType() %>">
    <META HTTP-EQUIV="Pragma" CONTENT="no-cache">
    <META HTTP-EQUIV="Expires" CONTENT="-1">

	<%@ include file="/includes/decorators/stylesheettag.jsp" %>
    <script language="JavaScript" type="text/javascript" src="<%=request.getContextPath()%>/includes/js/combined-javascript.js"></script>
</head>
<%
    ApplicationProperties ap = ManagerFactory.getApplicationProperties();
    String topBgColour = ap.getDefaultBackedString(APKeys.JIRA_LF_TOP_BGCOLOUR);
    String menuBgColour = ap.getDefaultBackedString(APKeys.JIRA_LF_MENU_BGCOLOUR);
    String linkColour = ap.getDefaultBackedString(APKeys.JIRA_LF_TEXT_LINKCOLOUR);
    String linkAColour = ap.getDefaultBackedString(APKeys.JIRA_LF_TEXT_ACTIVE_LINKCOLOUR);

    String jiraLogo = ap.getDefaultBackedString(APKeys.JIRA_LF_LOGO_URL);
    if (jiraLogo != null && !jiraLogo.startsWith("http://") && !jiraLogo.startsWith("https://"))
    {
        jiraLogo = request.getContextPath() + jiraLogo;
    }
%>
<body bgcolor="#ffffff" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" link="<%= linkColour %>" vlink="<%= linkColour %>" alink="<%= linkAColour %>">
<table border=0 cellpadding=0 cellspacing=0 width=100% bgcolor=ffffff>
<tr><td bgcolor="<%= topBgColour %>"><img src="<%= jiraLogo %>" width="<%= ap.getDefaultBackedString(APKeys.JIRA_LF_LOGO_WIDTH) %>" height="<%= ap.getDefaultBackedString(APKeys.JIRA_LF_LOGO_HEIGHT) %>" border=0 alt="<%= headerAP.getDefaultBackedString(APKeys.JIRA_TITLE) %>"></a></td></td></tr>
<tr><td bgcolor="<%= menuBgColour %>"><img src="<%= request.getContextPath() %>/images/border/spacer.gif" height=5 width=1></td></tr>
</table>

<table border=0 cellpadding=5 cellspacing=0 width=100% bgcolor=ffffff>
<tr><td>
		<h4 class="headline"><decorator:title /></h4>

		<decorator:body />
</td></tr>
</table>

</body>
</html>
