<%@ page import="com.atlassian.license.License,
                 com.atlassian.jira.util.EasyList,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils,
                 com.atlassian.license.LicenseManager"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><webwork:text name="'common.words.project'"/>: <webwork:property value="project/string('name')" escape="true" /></page:param>
    <page:param name="width">100%</page:param>

	<webwork:property value="project">

		<%-- Project Summary --%>
        <jsp:include page="/includes/panels/project/summary.jsp" />

        <%-- Schemes (Notification, Permission and Issue Security --%>
        <jsp:include page="/includes/panels/project/schemes.jsp" />

        <% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
        if (license !=null && license.isLicenseLevel(EasyList.build(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
        <br>
        <b><webwork:text name="'admin.projects.project.category'"/>:</b>
        <webwork:if test="projectCategory != null">
            <webwork:property value="projectCategory/string('name')" />
        </webwork:if>
        <webwork:else>
            <webwork:text name="'common.words.none'"/>
        </webwork:else>
        <webwork:if test="/hasAdminPermission == true">
            (
            <a id="select_category" href="<webwork:url page="SelectProjectCategory!default.jspa"><webwork:param name="'pid'" value="long('id')" /></webwork:url>"><webwork:text name="'admin.projects.select.category'"/></a>
            )
        </webwork:if>
        <% } %>
    </webwork:property>
</page:applyDecorator>
