<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>

<jsp:include page="/includes/panels/issue/action/tabs.jsp"/>

<div class="issuePanelContainer">
<webwork:property value="actions">
    <webwork:if test=". != null && ./size > 0">
        <webwork:iterator value=".">
            <webwork:property value="./html(/)" escape="false"/>
        </webwork:iterator>
    </webwork:if>
    <webwork:elseIf test=". != null && ./size < 1">
        <table cellpadding=2 cellspacing=0 border=0 width="100%" bgcolor=ffffff>
        <tr><td bgcolor=ffffff>
            <webwork:if test="/page == 'all'">
                <webwork:text name="'viewissue.noactions'"/>
            </webwork:if>
            <webwork:if test="/page == 'comments'">
                <webwork:text name="'viewissue.nocomments'"/>
            </webwork:if>
            <webwork:if test="/page == 'emails'">
                <webwork:text name="'viewissue.noemails'"/>
            </webwork:if>
            <webwork:elseIf test="/page == 'history'">
                <webwork:text name="'viewissue.nochanges'"/>
            </webwork:elseIf>
            <webwork:elseIf test="/page == 'worklog'">
                <webwork:text name="'viewissue.nowork'"/>
            </webwork:elseIf>
            <webwork:elseIf test="/page == 'workflow'">
                <webwork:text name="'viewissue.noworkflow'"/>
            </webwork:elseIf>
            <webwork:elseIf test="/page == 'vcs'">
                <webwork:text name="'viewissue.nocommits'"/>
            </webwork:elseIf>
        </td></tr>
        <tr><td bgcolor=ffffff>&nbsp;</td></tr>
        </table>
    </webwork:elseIf>
    <webwork:else>
        <table cellpadding=2 cellspacing=0 border=0 width=100% bgcolor=ffffff>
        <tr><td bgcolor=ffcccc>
            An unknown error occurred - actions == null.
        </td></tr>
        </table>
    </webwork:else>
</webwork:property>
</div>
<br/>