<%@ taglib uri="webwork" prefix="webwork" %>
<table cellpadding=2 cellspacing=0 border=0 width=100% align=center>
<tr>
	<webwork:if test="/page == 'all'">
		<td bgcolor=bbbbbb width=1% nowrap align=center>
			&nbsp;<font color=ffffff><b><webwork:text name="'viewissue.tabs.all'"/></b></font>&nbsp;
		</td>
	</webwork:if>
	<webwork:else>
		<td width=1% nowrap align=center>
			&nbsp;<b><a href="<%= request.getContextPath() %>/browse/<webwork:url value="issue/string('key')" />?page=all"><webwork:text name="'viewissue.tabs.all'"/></a></b>&nbsp;
		</td>
	</webwork:else>

    <webwork:if test="/page == 'comments'">
        <td bgcolor=bbbbbb width=1% nowrap align=center>
            &nbsp;<font color=ffffff><b><webwork:text name="'viewissue.tabs.comments'"/></b></font>&nbsp;
        </td>
    </webwork:if>
    <webwork:else>
        <td width=1% nowrap align=center>
            &nbsp;<b><a href="<%= request.getContextPath() %>/browse/<webwork:url value="issue/string('key')" />?page=comments"><webwork:text name="'viewissue.tabs.comments'"/></a></b>&nbsp;
        </td>
    </webwork:else>

    <%-- JRA-4472 - Figure out what to do with email tab --%>
    <%--<webwork:if test="/page == 'emails'">
        <td bgcolor=bbbbbb width=1% nowrap align=center>
            &nbsp;<font color=ffffff><b><webwork:text name="'viewissue.tabs.emails'"/></b></font>&nbsp;
        </td>
    </webwork:if>
    <webwork:else>
        <td width=1% nowrap align=center>
            &nbsp;<b><a href="<%= request.getContextPath() %>/browse/<webwork:url value="issue/string('key')" />?page=emails"><webwork:text name="'viewissue.tabs.emails'"/></a></b>&nbsp;
        </td>
    </webwork:else>--%>

    <webwork:if test="applicationProperties/option('jira.option.timetracking') == true">
	<webwork:if test="/page == 'worklog'">
		<td bgcolor=bbbbbb width=1% nowrap align=center>
			&nbsp;<font color=ffffff><b><webwork:text name="'viewissue.tabs.worklog'"/></b></font>&nbsp;
		</td>
	</webwork:if>
	<webwork:else>
		<td width=1% nowrap align=center>
			&nbsp;<b><a href="<%= request.getContextPath() %>/browse/<webwork:url value="issue/string('key')" />?page=worklog"><webwork:text name="'viewissue.tabs.worklog'"/></a></b>&nbsp;
		</td>
	</webwork:else>
    </webwork:if>

	<webwork:if test="/page == 'history' || /page == 'history-table'">
		<td bgcolor=bbbbbb width=1% nowrap align=center>
			&nbsp;<font color=ffffff><b><webwork:text name="'viewissue.tabs.changehistory'"/></b></font>&nbsp;
		</td>
	</webwork:if>
	<webwork:else>
		<td width=1% nowrap align=center>
			&nbsp;<b><a href="<%= request.getContextPath() %>/browse/<webwork:url value="issue/string('key')" />?page=history"><webwork:text name="'viewissue.tabs.changehistory'"/></a></b>&nbsp;
		</td>
	</webwork:else>

    <webwork:if test="canViewProjectRepositories == true">
        <webwork:if test="/page == 'vcs' ">
            <td bgcolor=bbbbbb width="1%" nowrap align=center>
                &nbsp;<font color=ffffff><b><webwork:text name="'viewissue.tabs.vcs'"/></b></font>&nbsp;
            </td>
        </webwork:if>
        <webwork:else>
            <td width="1%" nowrap align=center>
                &nbsp;<b><a href="<%= request.getContextPath() %>/browse/<webwork:url value="issue/string('key')" />?page=vcs"><webwork:text name="'viewissue.tabs.vcs'"/></a></b>&nbsp;
            </td>
        </webwork:else>
    </webwork:if>

	<webwork:if test="/page == 'workflow'">
		<td bgcolor=bbbbbb width=1% nowrap align=center>
			&nbsp;<font color=ffffff><b><webwork:text name="'viewissue.tabs.workflowhistory'"/></b></font>&nbsp;
		</td>
	</webwork:if>
	<webwork:else>
    <!--
        This has been commented out because it doesn't really tell the user anything.
		<td width=1% nowrap align=center>
			&nbsp;<b><a href="ViewIssue.jspa?key=<webwork:url value="issue/string('key')" />&page=workflow">Workflow History</a></b>&nbsp;
		</td>
    -->
	</webwork:else>

    <webwork:iterator value="/issueTabPanels">
        <webwork:if test="/page == completeKey">
            <td bgcolor=bbbbbb width="1%" nowrap align=center>
                &nbsp;<font color=ffffff><b><webwork:property value="label" /></b></font>&nbsp;
            </td>
        </webwork:if>
        <webwork:else>
            <td width="1%" nowrap align=center>
                &nbsp;<b><a href="<%= request.getContextPath() %>/browse/<webwork:url value="issue/string('key')" />?page=<webwork:url value="completeKey" />"><webwork:property value="label" /></a></b>&nbsp;
            </td>
        </webwork:else>
    </webwork:iterator>

	<td>&nbsp;</td>
    <td width=1% bgcolor=e5e5e5 nowrap>
        &nbsp;
        <webwork:text name="'tab.sort.order'"/>:
        <webwork:if test="/actionOrder == 'asc'">
            <a rel="nofollow" href="<%= request.getContextPath() %>/browse/<webwork:url value="issue/string('key')" />?actionOrder=desc"><img src="<%= request.getContextPath() %>/images/icons/down.gif" height=14 width=11 align=absmiddle title="<webwork:text name="'navigator.ascending.order'"/>" border=0 /></a>
        </webwork:if>
        <webwork:else>
            <a rel="nofollow" href="<%= request.getContextPath() %>/browse/<webwork:url value="issue/string('key')" />?actionOrder=asc"><img src="<%= request.getContextPath() %>/images/icons/up.gif" class="sortArrow" title="<webwork:text name="'navigator.ascending.order'"/>" border=0 /></a>
        </webwork:else>
    </td>
</tr>
</table>
