
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><webwork:text name="'admin.schemes.notifications.notification.schemes'"/></title>
</head>

<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><webwork:text name="'admin.schemes.notifications.notification.schemes'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">notification_schemes</page:param>
    <p>
    <webwork:text name="'admin.schemes.notifications.table.below.shows'"/>
    </p>

    <webwork:if test="/schemeManager/hasMailServer == false">
        <p><span class="red-highlight"><webwork:text name="'admin.common.words.note'"/></span>: <webwork:text name="'admin.mailqueue.no.default.mail.server'">
            <webwork:param name="'value0'"><a href="<%=request.getContextPath()%>/secure/admin/ViewMailServers.jspa"></webwork:param>
            <webwork:param name="'value1'"></a></webwork:param>
        </webwork:text></p>
    </webwork:if>

</page:applyDecorator>

    <p>

    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">
                <b><webwork:text name="'common.words.name'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><webwork:text name="'common.concepts.projects'"/></b>
            </td>
            <td class="colHeaderLink">
                &nbsp;
            </td>
        </tr>

        <webwork:iterator value="schemes" status="'status'">
        <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
            <td valign=top>
                <b><a href="EditNotifications!default.jspa?schemeId=<webwork:property value="long('id')"/>"><webwork:property value="string('name')"/></a></b><br>
                <webwork:property value="string('description')"/></td>
            <td valign=top nowrap>
            <webwork:iterator value="projects(.)">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<webwork:property value="long('id')" />"><webwork:property value="string('name')" /></a><br>
            </webwork:iterator>
            </td>
            <td valign=top align=center nowrap>
                <a href="EditNotifications!default.jspa?schemeId=<webwork:property value="long('id')"/>"><webwork:text name="'admin.schemes.notifications.notifications'"/></a>
                |
                <a href="CopyNotificationScheme.jspa?schemeId=<webwork:property value="long('id')"/>" title="Create a copy of this scheme"><webwork:text name="'common.words.copy'"/></a>
                |
                <a href="EditNotificationScheme!default.jspa?schemeId=<webwork:property value="long('id')"/>"><webwork:text name="'common.words.edit'"/></a>
                |
                <a href="DeleteNotificationScheme!default.jspa?schemeId=<webwork:property value="long('id')"/>"><webwork:text name="'common.words.delete'"/></a>
            </td>
        </tr>
        </webwork:iterator>
        <webwork:if test="schemes/size == 0">
        <tr bgcolor=ffffff>
            <td colspan=3><webwork:text name="'admin.schemes.notifications.no.notification.schemes.configured'"/></td>
        </tr>
        </webwork:if>
    </table>
    </td></tr></table>

    <p>
    <table align=center border="0" cellpadding="0" cellspacing="0" width=90%>
    <tr>
    <td align="center">
    <table border="0" cellpadding="3" cellspacing="1">
    <tr>
        <td><a href="AddNotificationScheme!default.jspa"><webwork:text name="'admin.schemes.notifications.add.notification.scheme'"/></a></td>
    </tr>
    </table>
    </td>
    </tr>
    </table>
    </p>

</body>
</html>
