<%@ page import="org.apache.log4j.Logger,
                 org.apache.log4j.Appender,
                 org.apache.log4j.spi.LoggerFactory,
                 org.apache.log4j.spi.LoggerRepository,
                 org.apache.log4j.LogManager,
                 java.util.Enumeration,
                 java.io.Writer,
                 java.io.PrintWriter,
                 java.io.IOException,
                 org.apache.log4j.Category"  %>
<%@ taglib uri="webwork" prefix="webwork"  %>
<%@ taglib uri="sitemesh-page" prefix="page" %>


<html>
<head>
	<title><webwork:text name="'admin.loggingandprofiling.logging.and.profiling'"/></title>
</head>

<%
    
%>
<body>

<p>
<page:applyDecorator name="jiratable">
    <page:param name="title"><webwork:text name="'admin.loggingandprofiling.logging'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="titleColspan">3</page:param>
    <page:param name="description">
        <webwork:text name="'admin.loggingandprofiling.description'"/>
        <p>
        <webwork:text name="'admin.loggingandprofiling.note'">
            <webwork:param name="'value0'"><i></webwork:param>
            <webwork:param name="'value1'"></i></webwork:param>
            <webwork:param name="'value2'"><br></webwork:param>
        </webwork:text>
        <p>
        <webwork:text name="'admin.loggingandprofiling.logging.will.go.to.the.console'"/>
    </page:param>

    <tr class=rowHeader>
        <th><webwork:text name="'admin.loggingandprofiling.package.name'"/></th>
        <th><webwork:text name="'admin.loggingandprofiling.logging.level'"/></th>
        <th></th>
    </tr>

<webwork:property value="/rootLogger" >
    <tr class="rowAlternate">
        <td><i><webwork:text name="'admin.common.words.default'"/></i></td>
        <td><i><webwork:property value="level" /></i></td>
        <td><a href="ConfigureLogging!default.jspa?categoryName=<webwork:property value="name" />"><webwork:text name="'common.words.edit'"/></a></td>
    </tr>
</webwork:property>


<webwork:iterator value="/loggers" status="'iteratorStatus'">
    <tr <webwork:if test="@iteratorStatus/odd == true">class="rowNormal"</webwork:if><webwork:else>class="rowAlternate"</webwork:else>>
        <td><webwork:property value="name" /></td>
        <td><webwork:property value="effectiveLevel" /></td>
        <td><a href="ConfigureLogging!default.jspa?categoryName=<webwork:property value="name" />"><webwork:text name="'common.words.edit'"/></a></td>
    </tr>

</webwork:iterator>
</page:applyDecorator>

<p>
<page:applyDecorator name="jiratable">
    <page:param name="title"><webwork:text name="'admin.loggingandprofiling.profiling'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
        <webwork:text name="'admin.loggingandprofiling.profiling.description'"/></page:param>
<tr><td bgcolor="#ffffff">

        <webwork:if test="/profilingEnabled == true">
            <webwork:text name="'admin.loggingandprofiling.profiling.status'">
                <webwork:param name="'value0'"><b><font color="#009900"><webwork:text name="'admin.common.words.on'"/></font></b></webwork:param>
            </webwork:text>
            <p>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                    <webwork:text name="'admin.loggingandprofiling.disable.profiling'">
                        <webwork:param name="'value0'"><a href="ViewLogging!disableProfiling.jspa"><b></webwork:param>
                        <webwork:param name="'value1'"></b></a></webwork:param>
                    </webwork:text>
        </webwork:if>
        <webwork:else>
             <webwork:text name="'admin.loggingandprofiling.profiling.status'">
                 <webwork:param name="'value0'"><b><font color="#990000"><webwork:text name="'admin.common.words.off'"/></font></b></webwork:param>
             </webwork:text>
            <p>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                    <webwork:text name="'admin.loggingandprofiling.enable.profiling'">
                        <webwork:param name="'value0'"><a href="ViewLogging!enableProfiling.jspa"><b></webwork:param>
                        <webwork:param name="'value1'"></b></a></webwork:param>
                    </webwork:text>
        </webwork:else>
</td></tr>

</page:applyDecorator>

</body>
</html>

