<%@     taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Report - <webwork:property value="report/name" /></title>
	<meta name="decorator" content="notitle">
</head>
<body>
<style type="text/css">
    .jiraformbody
    {
        padding: 0px !important;
    }
</style>
<page:applyDecorator name="jirapanel">
	<page:param name="title"><webwork:text name="'common.concepts.report'"/>: <a href="ConfigureReport!default.jspa?reportKey=<webwork:url value="report/completeKey" />"><webwork:property value="report/label" /></a></page:param>
	<page:param name="instructions">
        <webwork:if test="report/description"><b><webwork:text name="'common.concepts.description'"/>:</b></br><webwork:property value="report/description" escape="false" /></webwork:if>
    </page:param>
    <webwork:if test="report/module/excelViewSupported == true">
        <p align="right">
        <a href="<%= request.getContextPath() %>/secure/ConfigureReport!excelView.jspa?<webwork:property value="queryString"/>">
            <webwork:text name="'excel.view'"/><img src="<%= request.getContextPath() %>/images/icons/attach/excel.gif" height=16 width=16 border=0 align=absmiddle alt="Microsoft Excel">
        </a>
        </p>
    </webwork:if>
    <page:param name="width">100%</page:param>

    <webwork:property value="generatedReport" escape="false" />
</page:applyDecorator>
</body>
</html>
