<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="webwork" prefix="iterator" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><webwork:text name="'createissue.title'" /></title>
</head>
<body>
<webwork:if test="allowedProjects/size > 0">
	<page:applyDecorator name="jiraform">
		<page:param name="title"><webwork:text name="'createissue.title'" /></page:param>
		<page:param name="description"><webwork:text name="'createissue.step1.desc'" /></page:param>
		<page:param name="action">CreateIssue.jspa</page:param>
        <page:param name="cancelURI">default.jsp</page:param>
		<page:param name="submitName"><webwork:text name="'common.forms.next'" />&gt;&gt;</page:param>

        <webwork:property value="/field('project')/createHtml(null, /, /, /issueObject)" escape="'false'" />

        <webwork:property value="/field('issuetype')/createHtml(null, /, /, /issueObject)" escape="'false'" />
	</page:applyDecorator>
</webwork:if>
<webwork:else>
	<page:applyDecorator name="jiraform">
        <page:param name="title"><webwork:text name="'createissue.title'"/></page:param>
		<page:param name="description"><webwork:text name="'createissue.step1.desc'" /></page:param>
		<%@ include file="/includes/createissue-notloggedin.jsp" %>
	</page:applyDecorator>
</webwork:else>
</body>
</html>