<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>
        <webwork:if test="actionDescriptor/metaAttributes/('jira.i18n.title')">
            <webwork:text name="actionDescriptor/metaAttributes/('jira.i18n.title')"/>
        </webwork:if>
        <webwork:else>
            <webwork:property value="actionDescriptor/name" />
        </webwork:else>
        <webwork:if test="/issueExists == true">
            [<webwork:property value="issue/string('key')" />]            
        </webwork:if>
    </title>
</head>
<body>
<table cellpadding=0 cellspacing=0 border=0 width=100%>
<tr>
<td width=200 bgcolor="f0f0f0" valign=top>
    <jsp:include page="/includes/panels/issue/summary.jsp" />
</td>
<td bgcolor=ffffff valign=top>
<table width=100% cellpadding=10 cellspacing=0 border=0><tr><td>
    <page:applyDecorator name="jiraform">
        <page:param name="title">
            <webwork:if test="actionDescriptor/metaAttributes/('jira.i18n.title')">
                <webwork:text name="actionDescriptor/metaAttributes/('jira.i18n.title')"/>
            </webwork:if>
            <webwork:else>
                <webwork:property value="actionDescriptor/name" />
            </webwork:else>
        </page:param>
        <page:param name="description">
            <webwork:if test="actionDescriptor/metaAttributes/('jira.i18n.description')">
                <webwork:text name="actionDescriptor/metaAttributes/('jira.i18n.description')"/>

                <webwork:if test="actionDescriptor/metaAttributes/('jira.i18n.description.2')">
                    <p>
                    <webwork:text name="actionDescriptor/metaAttributes/('jira.i18n.description.2')"/>
                </webwork:if>
                <webwork:if test="actionDescriptor/metaAttributes/('jira.i18n.description.3')">
                    <p>
                    <webwork:text name="actionDescriptor/metaAttributes/('jira.i18n.description.3')"/>
                </webwork:if>
            </webwork:if>
            <webwork:else>
                <webwork:property value="actionDescriptor/metaAttributes/('description')" />
            </webwork:else>
        </page:param>
        <page:param name="width">100%</page:param>
        <page:param name="multipart">true</page:param>
        <page:param name="action">CommentAssignIssue.jspa</page:param>
        <page:param name="cancelURI"><webwork:property value="issuePath" /></page:param>
        <page:param name="submitName"><webwork:if test="actionDescriptor/metaAttributes/('jira.i18n.submit')"><webwork:text name="actionDescriptor/metaAttributes/('jira.i18n.submit')"/></webwork:if><webwork:else><webwork:property value="actionDescriptor/name" /></webwork:else></page:param>
        <webwork:if test="/issueExists == true">

            <webwork:component template="issuefields.jsp" name="'createissue'">
                <webwork:param name="'issue'" value="/issueObject"/>
                <webwork:param name="'tabs'" value="/fieldScreenRenderTabs"/>
                <webwork:param name="'errortabs'" value="/tabsWithErrors"/>
                <webwork:param name="'selectedtab'" value="/selectedTab"/>
                <webwork:param name="'ignorefields'" value="/ignoreFieldIds"/>
                <webwork:param name="'create'" value="'false'"/>
            </webwork:component>

            <%-- COMMENT --%>
            <jsp:include page="/includes/panels/updateissue_comment.jsp" />

            <ui:component name="'action'" template="hidden.jsp" theme="'single'" />
            <ui:component name="'id'" template="hidden.jsp" theme="'single'" />
            <ui:component name="'viewIssueKey'" template="hidden.jsp" theme="'single'" />
        </webwork:if>
    </page:applyDecorator>
</td></tr></table>
</td></tr></table>
</body>
</html>