<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><webwork:text name="'linkissue.title'"/></title>
</head>
<body>
<table cellpadding=0 cellspacing=0 border=0 width=100%>
<tr>
<td width=200 bgcolor="f0f0f0" valign=top>
    <jsp:include page="/includes/panels/issue/summary.jsp" />
</td>
<td bgcolor=ffffff valign=top>
<table width=100% cellpadding=10 cellspacing=0 border=0><tr><td>
    <page:applyDecorator name="jiraform">
        <page:param name="title"><webwork:text name="'linkissue.title'"/></page:param>
        <page:param name="description">
            <webwork:text name="'linkissue.desc'"/>
        </page:param>
        <page:param name="width">100%</page:param>
        <page:param name="action">LinkExistingIssue.jspa</page:param>
        <page:param name="cancelURI"><webwork:property value="issuePath" /></page:param>
        <page:param name="submitName"><webwork:property value="text('linkissue.submitname')"/></page:param>
        <webwork:if test="/issueExists == true">
        <ui:select label="text('linkissue.this')" name="'linkDesc'" list="linkDescs" listKey="'.'" listValue="'.'">
            <ui:param name="'description'"><webwork:text name="'linkissue.this.desc'"/></ui:param>
        </ui:select>
        <ui:component label="text('common.concepts.issue')" name="'linkKey'" template="issuepicker.jsp">
            <ui:param name="'size'" value="18"/>
            <ui:param name="'formname'" value="'jiraform'"/>
            <ui:param name="'currentissue'" value="issue/string('key')" />
            <ui:param name="'description'"><webwork:text name="'linkissue.issues.desc'"/></ui:param>
        </ui:component>
        <%@ include file="/includes/panels/updateissue_comment.jsp" %>
        <ui:component name="'id'" template="hidden.jsp" theme="'single'"  />
        </webwork:if>
    </page:applyDecorator>
</td></tr></table>
</td></tr></table>
</body>
</html>