<%@ page import="com.atlassian.jira.ManagerFactory"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<webwork:property value="/searchRequest/name" id="'searchRequestName'" />
<webwork:if test="/searchRequest/name != null">
    <webwork:property value="/searchRequest/name" id="searchRequestName" />
    <%response.addHeader("content-disposition", "attachment;filename=\"" + pageContext.findAttribute("searchRequestName") + ".xls\";");%>
</webwork:if>
<webwork:else>
   <%response.addHeader("content-disposition", "attachment;filename=\"JIRA Excel Export.xls\";");%>
</webwork:else>
<%
    //these headers need to be set to get around an internet explorer 6 SP1 bug.  See JRA-1738
    //we need to override the headers that are set either by the server, or the encoding filter
    response.setHeader("Cache-Control", "max-age=5"); // http 1.1
    response.setHeader("Pragma", ""); // http 1.0
    response.setDateHeader("Expires", System.currentTimeMillis() + 300); // prevent proxy caching
    response.setContentType("application/vnd.ms-excel;charset=" + ManagerFactory.getApplicationProperties().getEncoding());
%>