<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><webwork:text name="'issue.columns.user.title'"/></title>
</head>
<body>
<table cellpadding=0 cellspacing=0 border=0 width=100%>
<tr>
<td width=200 bgcolor="f0f0f0" valign=top>
    <jsp:include page="/includes/panels/user_summary_pane.jsp" />
</td>
<td bgcolor=ffffff valign=top>

<table width=100% cellpadding=10 cellspacing=0 border=0><tr><td>

    <page:applyDecorator name="jirapanel">
        <page:param name="title"><webwork:text name="'issue.columns.user.title'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="action">/secure/views/user/<webwork:property value="actionName"/>.jspa</page:param>
        <page:param name="helpURL">issuecolumn_hiding_and_reordering</page:param>
        <p>
            <webwork:text name="'issue.columns.user.description.first.line'">
                <webwork:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/IssueNavigator.jspa"></webwork:param>
                <webwork:param name="'value1'"></a></webwork:param>
            </webwork:text>
            <br>
            <webwork:text name="'issue.columns.description.second.line'"/>
        </p>

        <webwork:if test="sampleIssues/empty == false">
            <webwork:if test="/usingDefaultColumns == false">
                    <table cellpadding="2" cellspacing="0" border="0">
                        <tr>
                            <td>
                                <img src="<webwork:url page="/images/icons/bullet_creme.gif"/>" height="8" width="8" border="0"> <a href="<webwork:property value="actionName"/>.jspa?operation=5"><b><webwork:text name="'issue.columns.restore.defaults'"/></b></a>
                            </td>
                            <td colspan="3">
                                <font size="1">(<webwork:text name="'issue.columns.defaults.are'"/>
                                <webwork:iterator value="/defaultColumns" status="'columnStatus'">
                                    <webwork:property value="./navigableField">
                                        <webwork:text name="./nameKey"/><webwork:if test="@columnStatus/last == false"> |</webwork:if>
                                    </webwork:property>
                                </webwork:iterator>)</font>
                            </td>
                        </tr>
                    </table>
            </webwork:if>
            <form name="addcolumnform" method="post" action="<webwork:property value="actionName"/>.jspa">
                <table cellpadding="2" cellspacing="0" border="0">
                    <tr>
                        <td nowrap valign="top" width="1%"><img src="<webwork:url page="/images/icons/bullet_creme.gif"/>" height="8" width="8" border="0"> <b><webwork:text name="'issue.columns.add.new.columns'"/></b></td>
                        <ui:select label="'Column to add'" name="'fieldId'" theme="'single'"
                            list="addableColumns" listKey="'id'" listValue="'text(nameKey)'">
                            <ui:param name="'headerrow'"><webwork:text name="'issue.columns.select.column'"/></ui:param>
                        </ui:select>
                        <td width="100%" align="left" valign="top"><input type="submit" name="add" value="<webwork:text name="'issue.columns.add.button'"/>"></td>
                        <td><ui:component name="'operation'" value="'1'" template="hidden.jsp" /></td>
                    </tr>
                </table>
            </form>
        </webwork:if>
    </page:applyDecorator>

    <webwork:property value="'ViewUserIssueColumns.jspa'" id="actionUrl"/>
    <%@ include file="/includes/panels/issuecolumns.jsp" %>

</td></tr></table>
</td></tr></table>

</body>
</html>