<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><webwork:text name="'preferences.view.title'"/></title>
</head>
<body>
<table cellpadding=0 cellspacing=0 border=0 width=100%>
    <tr>
    <td width=200 bgcolor="f0f0f0" valign=top>
        <jsp:include page="/includes/panels/user_summary_pane.jsp" />
    </td>
    <td bgcolor=ffffff valign=top>
        <table width=100% cellpadding=10 cellspacing=0 border=0>
        <tr><td>
            <page:applyDecorator name="jirapanel">
                <page:param name="title"><webwork:text name="'preferences.view.title'"/></page:param>
                <page:param name="description">
                    <p><webwork:text name="'preferences.view.desc.line1'"/></p>
                    <p><webwork:text name="'preferences.view.desc.line2'"/></p>
                </page:param>
                <page:param name="width">100%</page:param>
                    <p>
                        <b><webwork:text name="'preferences.issuesPerPage'"/>:</b> <webwork:property value="/userPreferences/long('user.issues.per.page')"/>
                    </p>
                    <p>
                        <b><webwork:text name="'preferences.mailType'"/>:</b> <webwork:property value="/userPreferences/string('user.notifications.mimetype')"/>
                    </p>
                    <p>
                        <b><webwork:text name="'preferences.locale'"/></b>: <webwork:property value="userLocale"/>
                    </p>
                    <p>
                    <webwork:if test="/userPreferences/boolean('user.notify.own.changes') == true">
                        <b><webwork:text name="'preferences.notification.on'"/></b>
                    </webwork:if>
                    <webwork:else>
                        <webwork:text name="'preferences.notification.off'"/>
                    </webwork:else>

                    <center>
                    <p>
                        <b>
                            <a href="UpdateUserPreferences!default.jspa"><webwork:text name="'preferences.edit'"/></a>
                            <webwork:if test="/hasPermission('admin') == true">
                                | <a href="<webwork:url page="/secure/admin/jira/ViewUserDefaultSettings.jspa"/>"><webwork:text name="'preferences.edit.defaults'"/></a>
                            </webwork:if>
                        </b>
                    </p>
                    </center>
            </page:applyDecorator>
        </td></tr>
        </table>
    </td>
    </tr>
</table>
</body>
</html>