<%@ page import="com.atlassian.jira.ComponentManager,
                 com.atlassian.jira.ManagerFactory,
                 com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.config.properties.ApplicationProperties"%>
<%@ page import="com.atlassian.jira.issue.fields.renderer.JiraRendererPlugin"%>
<%@ page import="java.util.Iterator"%>

        <%
            String menuTxtColour = "";
            String topHighlightColour = "";
            String menuTextHighlightColour = "";
            String textHeadingColour = "";
            String menuBackgroundColour = "";
            try
            {
                ApplicationProperties ap = ManagerFactory.getApplicationProperties();
                menuTxtColour = ap.getDefaultBackedString(APKeys.JIRA_LF_MENU_TEXTCOLOUR);
                topHighlightColour = ap.getDefaultBackedString(APKeys.JIRA_LF_MENU_HIGHLIGHTCOLOUR);
                menuTextHighlightColour = ap.getDefaultBackedString(APKeys.JIRA_LF_MENU_TEXTHIGHLIGHTCOLOUR);
                textHeadingColour = ap.getDefaultBackedString(APKeys.JIRA_LF_TEXT_HEADINGCOLOUR);
                menuBackgroundColour = ap.getDefaultBackedString(APKeys.JIRA_LF_MENU_BGCOLOUR);
            }
            catch (Exception e)
            {
                //nothing we can really do
                System.out.println(e);
            }
        %>
        .pagetitle { color: <%= textHeadingColour %>; }
        .formtitle { color: <%= textHeadingColour %>; }
        .bluetext { color: <%= textHeadingColour %>; }

        /* top nav bar */
        .navItemOver {color: <%= menuTextHighlightColour %>; background-color: <%= topHighlightColour %>; }
        .navItemOver a { color: <%= menuTextHighlightColour %>;  }
        .navItem { color: <%= menuTxtColour %>; }
        .navItem a { color: <%= menuTxtColour %>; }

        #filterFormHeader, .leftFormHeader
        {
        border-bottom: 1px solid <%= menuBackgroundColour %>;
        }

        #filterForm .tableUnderline
        {
        border-bottom: 1px solid <%= menuBackgroundColour %>;
        }