<%@ page import="com.opensymphony.util.TextUtils,
                 com.atlassian.core.util.WebRequestUtils"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%
    int logoHeight = TextUtils.parseInt(headerAP.getDefaultBackedString(APKeys.JIRA_LF_LOGO_HEIGHT));
    if (session.getAttribute(SessionKeys.USER_ISSUE_HISTORY) != null)
    {
        UserHistory history = (UserHistory) session.getAttribute(SessionKeys.USER_ISSUE_HISTORY);
        int windowHeight = 80 + logoHeight + (25 * history.getIssues().size());

%>
    <a href="<%= request.getContextPath() %>/secure/popups/recenthistory.jsp" onClick="window.open('<%= request.getContextPath() %>/secure/popups/recenthistory.jsp','user_history', 'width=620, height=<%= windowHeight %>, resizable'); return false;" title="<webwork:text name="'tooltip.history'"/>"><font color=<%= topTxtColour %>><webwork:text name="'bodytop.history'"/></font></a> |
    <%
    }

    if (bodytopUser != null) {
      int windowHeight = 205 + logoHeight;
    %>
    <a href="<%= request.getContextPath() %>/secure/popups/savedfilters.jsp" onClick="window.open('<%= request.getContextPath() %>/secure/popups/savedfilters.jsp', 'saved_filters', 'width=620, height=<%= windowHeight %>, resizable, scrollbars=yes'); return false;" title="<webwork:text name="'tooltip.filters'"/>"><font color=<%= topTxtColour %>><webwork:text name="'bodytop.filters'"/></font></a> |

    <a href="<%= request.getContextPath() %>/secure/ViewProfile.jspa" title="<webwork:text name="'tooltip.profile'"/>"><font color="<%= topTxtColour %>"><webwork:text name="'bodytop.profile'"/></font></a> |
    <a href="<%= request.getContextPath() %>/logout" title="<webwork:text name="'tooltip.logout'"/>"><font color="<%= topTxtColour %>"><webwork:text name="'bodytop.logout'"/></font></a>
    <% } else { %>
        <jira:loginlink><font color=<%= topTxtColour %>><webwork:text name="'common.concepts.login'"/></font></jira:loginlink>
    <% } %>
        &nbsp; &nbsp;
    </font>

    <% String encodedQueryString = request.getQueryString() == null ? "" : TextUtils.htmlEncode(request.getQueryString()) + "&amp;";
        String printableUrl = request.getRequestURI() + "?" + encodedQueryString + "decorator=printable";%>
    <%-- The above is a hack -- webwork:url does not behave as desired when invoked as a decorator, because the request hasn't been rewritten by QuickLinkServlet --%>
<%--    <a href="<webwork:url><webwork:param name="'decorator'" value="'printable'" /></webwork:url>"><img src="<%= request.getContextPath() %>/images/icons/print.gif" width=16 height=16 align=absmiddle border=0 alt="View a printable version of the current page." title="<webwork:text name="'tooltip.print'"/>"></a>--%>
    <a href="<%=printableUrl%>"><img src="<%= request.getContextPath() %>/images/icons/print.gif" width=16 height=16 align=absmiddle border=0 alt="View a printable version of the current page." title="<webwork:text name="'tooltip.print'"/>"></a>
    <webwork:component name="'default'" template="help.jsp">
        <webwork:param name="'align'" value="'absmiddle'"/>
    </webwork:component>
    &nbsp;