<%@ taglib uri="webwork" prefix="webwork" %>
<%pageContext.removeAttribute("issues");%>
<webwork:property value="$linkType"/>
<webwork:if test="$outward == true">
    <webwork:property value="outwardIssues(string('linkname'))" id="issues"/>
    <webwork:property value="./string('outward')" id="linkName"/>
</webwork:if>
<webwork:else>
    <webwork:property value="inwardIssues(string('linkname'))" id="issues"/>
    <webwork:property value="./string('inward')" id="linkName"/>
</webwork:else>

    <webwork:property value="@issues">
    <webwork:if test=". != null">
        <webwork:iterator status="'outItStatus'">
        <tr>

            <td>
                <webwork:property value="@linkName" />
            </td>
            <td>
                <a href="<%= request.getContextPath()%>/browse/<webwork:property value="string('key')" />">
                    <webwork:if test="string('resolution')" ><strike><webwork:property value="string('key')" /></strike></webwork:if>
                    <webwork:else><webwork:property value="string('key')" /></webwork:else>
                </a>
            </td>
            <td>
                <webwork:property value="@util/abbreviate(string('summary'), '40')"/>
            </td>
            <td>
                <webwork:property value="/nameTranslation(/constantsManager/status(./string('status')))"/>
            </td>
        </tr>            
        </webwork:iterator>
    </webwork:if>
</webwork:property>