<%@ taglib uri="webwork" prefix="webwork" %>
<webwork:if test="applicationProperties/option('jira.option.allowsubtasks') == true && ./subTasks/empty == false">
    <tr><td bgcolor="f0f0f0" width="20%" valign="top"><b><webwork:text name="'issue.field.subtasks'"/>:</b></td>
        <td bgcolor="ffffff" valign="top">
            <table class="grid" cellpadding="0" cellspacing="0" border="0" width="100%">
                <tr bgcolor="f0f0f0">
                    <td>
                        <b><webwork:text name="'issue.field.summary'"/></b><br>
                    </td>
                    <td>
                        <b><webwork:text name="'issue.field.type'"/></b><br>
                    </td>
                    <td>
                        <b><webwork:text name="'issue.field.status'"/></b><br>
                    </td>
                    <td>
                        <b><webwork:text name="'issue.field.assignee'"/></b><br>
                    </td>
                </tr>
                <webwork:bean id="util" name="'org.apache.commons.lang.StringUtils'" />
                <webwork:iterator value="./subTasks">
                    <tr>
                        <td bgcolor="ffffff" valign="top" width="25%">
                            <a href="<%= request.getContextPath()%>/browse/<webwork:property value="string('key')" />"> <webwork:property value="@util/abbreviate(string('summary'), '40')" /> </a>
                        </td>
                        <td>
                            <webwork:property value="/nameTranslation(/constantsManager/issueType(./string('type')))" />
                        </td>
                        <td>
                            <webwork:property value="/nameTranslation(/constantsManager/status(./string('status')))" />
                        </td>
                        <td>
                            <webwork:if test="@fieldVisibility/fieldHidden(./long('project'), 'assignee', ./string('type')) == false">
                                <webwork:if test="./string('assignee')">
                                    <webwork:property value="/userFullName(./string('assignee'))"/>
                                </webwork:if>
                            </webwork:if>
                            &nbsp;
                        </td>
                    </tr>
                </webwork:iterator>
            </table>
        </td>
    </tr>
</webwork:if>