<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<div id="filterForm">
<jsp:include page="/includes/navigator/filter-form/tabs.jsp" />
<jsp:include page="/includes/navigator/filter-form/filter_description.jsp" />

<webwork:if test="searchRequest">
<table cellpadding=3 cellspacing=0 border=0 class="tableUnderline">
<tr><td bgcolor=dddddd>
    <b><webwork:text name="'navigator.hidden.summary'"/></b>
</td></tr>
</table>

<table cellpadding=3 cellspacing=0 border=0>
    <tr>
        <td valign=top>
            <jsp:include page="/includes/navigator/search-request_description.jsp" />
        </td>
    </tr>
</table>

<p>
<webwork:if test="searchRequest/author == remoteUser">
    <table cellpadding=3 cellspacing=0 border=0 class="tableUnderline">
    <tr><td bgcolor=dddddd>
        <b><webwork:text name="'common.words.operations'"/></b>
    </td></tr>
    </table>

    <table cellpadding=3 cellspacing=0 border=0>
    <tr><td>

    <webwork:if test="searchRequest/loaded == true">
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <webwork:text name="'navigator.hidden.operation.rename'">
            <webwork:param name="'value0'"><a href="RenameFilter!default.jspa"><b></webwork:param>
            <webwork:param name="'value1'"></b></a></webwork:param>
        </webwork:text><br>
        <webwork:if test="searchRequest/modified == true">
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <webwork:text name="'navigator.hidden.operation.save'">
                <webwork:param name="'value0'"><a href="<webwork:url value="'SaveFilter!default.jspa'"/>"><b></webwork:param>
                <webwork:param name="'value1'"></b></a></webwork:param>
            </webwork:text><br>
        </webwork:if>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <webwork:text name="'navigator.hidden.operation.saveasnew'">
            <webwork:param name="'value0'"><a href="SaveAsFilter!default.jspa"><b></webwork:param>
            <webwork:param name="'value1'"></b></a></webwork:param>
        </webwork:text><br>
        <webwork:if test="searchRequest/modified == true">
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <webwork:text name="'navigator.filter.reloadfilter'">
                <webwork:param name="'value0'"><a href="<webwork:url value="'IssueNavigator.jspa?mode=show'"><webwork:param name="'requestId'" value="searchRequest/searchFilterId"/></webwork:url>"><b></webwork:param>
                <webwork:param name="'value1'"></b></a></webwork:param>
            </webwork:text><br>
        </webwork:if>
    </webwork:if>
    <webwork:else>
        <webwork:if test="searchRequest/modified == true && actionName != 'SaveAsFilter'">
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <webwork:text name="'navigator.hidden.operation.save'">
                <webwork:param name="'value0'"><a href="SaveAsFilter!default.jspa"><b></webwork:param>
                <webwork:param name="'value1'"></b></a></webwork:param>
            </webwork:text><br>
        </webwork:if>
    </webwork:else>
    <webwork:if test="searchRequest/loaded == true">
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <webwork:text name="'navigator.hidden.operation.subscription'">
            <webwork:param name="'value0'"><a href="<webwork:url value="'ViewSubscriptions.jspa'"><webwork:param name="'filterId'" value="searchRequest/searchFilterId" /></webwork:url>"><b></webwork:param>
            <webwork:param name="'value1'"></b></a></webwork:param>
        </webwork:text><br>

        <webwork:if test="hasPermission('sharefilters') == true && searchRequest/modified == false">
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <webwork:if test="/actionName == 'ShareFilter'">
                <webwork:text name="'navigator.hidden.operation.share'">
                    <webwork:param name="'value0'"><b></webwork:param>
                    <webwork:param name="'value1'"></b></webwork:param>
                </webwork:text>
            </webwork:if>
            <webwork:else>
                <webwork:text name="'navigator.hidden.operation.share'">
                    <webwork:param name="'value0'"><a href="<webwork:url value="'ShareFilter!default.jspa?'"/>"><b></webwork:param>
                    <webwork:param name="'value1'"></b></a></webwork:param>
                </webwork:text>
            </webwork:else>
            <br>
        </webwork:if>
    </webwork:if>
</table>
</webwork:if>
</p>
</webwork:if>
<br />
</div>