<%@ taglib uri="webwork" prefix="webwork" %>
<table class="grid" cellpadding="0" cellspacing="0" border="0" width="100%">

<webwork:property value="./long('project')">

    <tr>
        <td bgcolor="f0f0f0" valign="top" width="20%">
            <b><webwork:text name="'issue.field.type'"/>:</b>
        </td>
        <td bgcolor="ffffff" valign="top" <webwork:if test="@fieldVisibility/fieldHidden(., 'priority', string('type')) == false">width="30%"</webwork:if><webwork:else>colspan="3"</webwork:else>>
            <webwork:property value="/nameTranslation(/constantsManager/issueType(string('type')))" />
        </td>

        <webwork:if test="@fieldVisibility/fieldHidden(., 'priority', string('type')) == false">
            <td bgcolor="f0f0f0">
                <b><webwork:text name="'issue.field.priority'"/>:</b>
            </td>
            <td bgcolor="ffffff" valign="top" nowrap>
                <webwork:property value="/nameTranslation(/constantsManager/priority(string('priority')))" />
            </td>
        </webwork:if>

    </tr>
    <tr>
    <%--Need to check if the reporter view is hidden or not, also requires reformatting--%>
        <webwork:if test="@fieldVisibility/fieldHidden(., 'reporter', string('type')) == false">
            <td bgcolor="f0f0f0" valign="top" width="20%">
                <b><webwork:text name="'issue.field.reporter'"/>:</b>
            </td>
            <td bgcolor="ffffff" valign="top" <webwork:if test="@fieldVisibility/fieldHidden(., 'assignee', string('type')) == false">width="30%"</webwork:if><webwork:else>colspan="3"</webwork:else>>
                <webwork:if test="string('reporter') != null">
                    <a href="<webwork:url page="/secure/ViewProfile.jspa"><webwork:param name="'name'" value="string('reporter')" /></webwork:url>"><webwork:property value="@user/user(string('reporter'))/fullName" /></a>
                </webwork:if>
                <webwork:else>
                    <webwork:text name="'common.words.anonymous'"/>
                </webwork:else>
            </td>
        </webwork:if>

        <webwork:if test="@fieldVisibility/fieldHidden(., 'assignee', string('type')) == false">
            <td bgcolor="f0f0f0" width="20%">
                <b><webwork:text name="'issue.field.assignedto'"/>:</b>
            </td>
            <td bgcolor="ffffff" valign="top" nowrap <webwork:if test="@fieldVisibility/fieldHidden(., 'reporter', string('type')) == false">width="30%"</webwork:if><webwork:else>colspan="3"</webwork:else>>
                <webwork:if test="string('assignee') != null">
                    <a href="<webwork:url page="/secure/ViewProfile.jspa"><webwork:param name="'name'" value="string('assignee')" /></webwork:url>"><webwork:property value="@user/user(string('assignee'))/fullName" /></a>
                </webwork:if>
                <webwork:else>
                    <webwork:text name="'common.concepts.unassigned'"/>
                </webwork:else>
            </td>
        </webwork:if>
	</tr>
	<tr>
		<td bgcolor="f0f0f0" width="20%">
			<b><webwork:text name="'issue.field.resolution'"/>:</b>
		</td>
		<td bgcolor="ffffff" valign="top" width="30%" nowrap>
			<webwork:if test="string('resolution') == null">
				<webwork:text name="'common.resolution.unresolved'"/>
			</webwork:if>
			<webwork:else>
				<webwork:property value="/nameTranslation(/constantsManager/resolution(string('resolution')))" />
			</webwork:else>
		</td>

		<td bgcolor="f0f0f0" width="20%">
			<b><webwork:text name="'common.concepts.votes'"/>:</b>
		</td>
		<td bgcolor="ffffff" valign="top" width="30%" nowrap>
            <webwork:property value="string('votes')" />
		</td>
	</tr>

    <webwork:if test="@fieldVisibility/fieldHidden(., 'timetracking', string('type')) == false && applicationProperties/option('jira.option.timetracking') == true">
	<tr>
		<td bgcolor="f0f0f0">
			<b><webwork:text name="'common.concepts.remaining.estimate'"/>:</b>
		</td>
		<td bgcolor="ffffff" valign="top" nowrap>
			<webwork:if test="../long('timeestimate') == null">
				<webwork:text name="'common.words.unknown'"/>
			</webwork:if>
			<webwork:else>
				<webwork:property value="/prettyDuration(../long('timeestimate')/longValue)" />
			</webwork:else>
		</td>

		<td bgcolor="f0f0f0">
			<b><webwork:text name="'common.concepts.time.spent'"/>:</b>
		</td>
		<td bgcolor="ffffff" valign="top" nowrap>
			<webwork:if test="../long('timespent') == null">
				<webwork:text name="'common.words.unknown'"/>
			</webwork:if>
			<webwork:else>
				<webwork:property value="/prettyDuration(../long('timespent')/longValue)" />
			</webwork:else>
		</td>
	</tr>
    <tr>
        <td bgcolor="f0f0f0" width="20%">
			<b><webwork:text name="'common.concepts.original.estimate'"/>:</b>
		</td>
		<td bgcolor="ffffff" valign="top" width="80%" colspan="3" nowrap>
			<webwork:if test="../long('timeoriginalestimate') == null">
				<webwork:text name="'common.words.unknown'"/>
			</webwork:if>
			<webwork:else>
				<webwork:property value="/prettyDuration(../long('timeoriginalestimate')/longValue)" />
			</webwork:else>
		</td>
    </tr>
    </webwork:if>

    <webwork:if test="@fieldVisibility/fieldHidden(., 'environment', string('type')) == false && ../string('environment') != null && ../string('environment')/length > 0">
	<tr>

		<td bgcolor="f0f0f0" width="20%" valign="top">
			<b><webwork:text name="'issue.field.environment'"/>:</b>
		</td>
		<td bgcolor="ffffff" valign="top" colspan="3">
            <webwork:property value="/renderedContent('description', ../string('environment'), @issue)" escape="'false'" />
		</td>
	</tr>
    </webwork:if>
</webwork:property>
</table>
