<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<webwork:bean name="'com.atlassian.jira.web.util.IssueTableBean'" id="issueBean" />

<webwork:property value="project">
<page:applyDecorator name="jirapanel">
    <page:param name="title">
        <webwork:text name="'roadmap.personal'"><webwork:param name="'value0'"><a href="BrowseProject.jspa?id=<webwork:property value="project/long('id')" />"><webwork:property value="project/string('name')" /></a></webwork:param></webwork:text>
    </page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">

        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <b><a href="<%= request.getContextPath() %>/browse/<webwork:property value="string('key')"/>?report=com.atlassian.jira.plugin.system.project:roadmap-panel&subset=<webwork:property value="subset" />"><webwork:text name="'roadmap.viewglobal'"/></a></b><br>

        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <b><webwork:text name="'browseproject.scope'"/>:</b>
        <webwork:if test="/subset != -1" >
            <webwork:text name="'roadmap.nextthreeversions'"/> | <a href="BrowsePersonalProject.jspa?subset=-1"><webwork:text name="'roadmap.allversions'"/></a>
        </webwork:if>
        <webwork:else>
            <a href="BrowsePersonalProject.jspa?subset=3"><webwork:text name="'roadmap.nextthreeversions'"/></a> | <webwork:text name="'roadmap.allversions'"/>
        </webwork:else>
    </page:param>


    <table style="padding: 0px;" cellpadding="0" cellspacing="0" border="0" width=100%>
    <webwork:subset source="versions" count="/subset">
    <webwork:iterator>
        <tr bgcolor="fffff0">
        <td colspan=7>
        <table style="padding: 0px;" cellspacing="0" cellpadding="0" border="0" width="100%">
        <tr>
            <td rowspan=2 class="colHeaderLink" width=3%>
                <%@ include file="/includes/versions/versionstatus_size24.jsp" %>
            </td>
            <td class="colHeaderLink">
                <font size=3><a href="<%= request.getContextPath() %>/secure/IssueNavigator.jspa?reset=true&pid=<webwork:property value="project/string('id')" />&fixfor=<webwork:property value="id" />" title="Get more information about this release">
                <b><webwork:property value="string('name')" /></b></a></font>
                <span class="noWrap">
                (<webwork:if test="./releaseDate != null">
                    <%@ include file="/includes/versions/versionreleasedate.jsp" %> |
                </webwork:if>
                <a class="subText" href="<%= request.getContextPath() %>/secure/ReleaseNote.jspa?projectId=<webwork:property value="project/string('id')"/>&styleName=<webwork:property value="'Html'"/>&version=<webwork:property value="id"/>"><webwork:text name="'common.concepts.releasenotes'" /></a> )
                </span>
            </td>
            <td rowspan=2 bgcolor="fffff0" nowrap width=5% valign=top>
                <table class="percentagegraphtable" width=180 align=right cellspacing="0" cellpadding="0" border="0">
                    <tr>
                        <td width="80" align="right"><span class="subText"><webwork:text name="'common.words.progress'"/>:&nbsp;</span></td>
                        <webwork:component template="percentagegraph.jsp" name="'/issueSummary(.)'" />
                    </tr>
                    <webwork:if test="/issues(.)/size != 0" >
                        <tr><td colspan="3" align="right">
                            &nbsp; <span class="subText">(<webwork:text name="'roadmap.issuesresolved'" value0="/resolvedGroupedByFixFor(.)" value1="/issues(.)/size" />)</span>
                        </td></tr>
                    </webwork:if>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <span class="subText"><webwork:property value="string('description')" /></span>
            </td>
        </tr>
        </table>
        </td>

        </tr>

        <webwork:property value="/issues(.)">
            <webwork:if test="size > 0">
                <webwork:iterator>
                    <%@ include file="/includes/reports/issuelineitem.jsp" %>
                </webwork:iterator>
            </webwork:if>
            <webwork:else>
                <tr>
                    <td bgcolor=ffffff>&nbsp;</td>
                    <td colspan=6 bgcolor=ffffff>
                        <font size=1><webwork:text name="'common.concepts.noissues'"/>.</font>
                    </td>
                </tr>
            </webwork:else>
        </webwork:property>
    </webwork:iterator>
    </webwork:subset>
    </table>
</page:applyDecorator>
</webwork:property>