<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<html>
<head>
	<title><webwork:text name="'admin.globalsettings.lookandfeel.look.and.feel.configuration'"/></title>
</head>
<body>
<p>
<table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width=100%>

	<tr bgcolor=f0f0f0>
		<td class="colHeaderLink" colspan=2>
        <% // @todo - fix up %>
            <ui:component name="'lookandfeel'" template="help.jsp">
                <ui:param name="'helpURLFragment'" value = "'#logo'"/>
            </ui:component>
<%--			<a href="http://www.atlassian.com/software/jira/docs/latest/lookandfeel.html#logo" target="_jirahelp"><img src="<%= request.getContextPath() %>/images/icons/help_blue.gif" width=16 height=16 align=right border=0 alt="Get help!" title="Get online help about Look and Feel"></a>--%>
			<h3 class="formtitle"><webwork:text name="'admin.globalsettings.lookandfeel.logo'"/></h3>
		</td>
	</tr>

	<%-- NOTE: Keep these property keys the same as APKeys - can't use statics in WW --%>
	<tr bgcolor="#ffffff">
		<td valign=top width=30%>&nbsp; <b><webwork:text name="'common.concepts.url'"/></b></td>
		<td valign=top width=70%>
            <webwork:if test="applicationProperties/string('jira.lf.logo.url') != null" >
                <webwork:if test="applicationProperties/string('jira.lf.logo.url') != null && applicationProperties/string('jira.lf.logo.url')/startsWith('http://') == false &&  applicationProperties/string('jira.lf.logo.url')/startsWith('https://') == false" >
                   <%= request.getContextPath() %><webwork:property value="applicationProperties/string('jira.lf.logo.url')"/>
                </webwork:if>
                <webwork:else>
                    <webwork:property value="applicationProperties/string('jira.lf.logo.url')"/>
                </webwork:else>
            </webwork:if>
            <webwork:else>&lt;default&gt;</webwork:else></td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign=top>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.preview'"/></b></td>
		<td valign=top>
            <webwork:if test="applicationProperties/string('jira.lf.logo.url') != null" >
                <webwork:if test="applicationProperties/string('jira.lf.logo.url') != null && applicationProperties/string('jira.lf.logo.url')/startsWith('http://') == false &&  applicationProperties/string('jira.lf.logo.url')/startsWith('https://') == false" >
                   <br><img src="<%= request.getContextPath() %><webwork:property value="applicationProperties/string('jira.lf.logo.url')"/>" width="<webwork:property value="applicationProperties/string('jira.lf.logo.width')"/>" height="<webwork:property value="applicationProperties/string('jira.lf.logo.height')"/>" />
                </webwork:if>
                <webwork:else>
                    <br><img src="<webwork:property value="applicationProperties/string('jira.lf.logo.url')"/>" width="<webwork:property value="applicationProperties/string('jira.lf.logo.width')"/>" height="<webwork:property value="applicationProperties/string('jira.lf.logo.height')"/>" align="center" valign="bottom"/>
                </webwork:else>
            </webwork:if>
            <webwork:else>&lt;N/A&gt;</webwork:else></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td valign=top>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.logo.width'"/></b></td>
		<td valign=top><webwork:if test="applicationProperties/string('jira.lf.logo.url') != null"><webwork:property value="applicationProperties/string('jira.lf.logo.width')"/></webwork:if>
                                 <webwork:else>&lt;default&gt;</webwork:else></td>
	</tr>
	<tr bgcolor="#fffff0">
		<td valign=top>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.logo.height'"/></b></td>
		<td valign=top><webwork:if test="applicationProperties/string('jira.lf.logo.url') != null"><webwork:property value="applicationProperties/string('jira.lf.logo.height')"/></webwork:if>
                                 <webwork:else>&lt;default&gt;</webwork:else></td>
	</tr>
</table>
</td></tr></table>
</p>
<p>
<table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width=100%>

    <tr bgcolor=f0f0f0>
		<td class="colHeaderLink" colspan=2>
        <% // @todo - fix up %>
			<ui:component name="'lookandfeel'" template="help.jsp">
                <ui:param name="'helpURLFragment'" value = "'#colours'"/>
            </ui:component>
<%--            <a href="http://www.atlassian.com/software/jira/docs/latest/lookandfeel.html#colours" target="_jirahelp"><img src="<%= request.getContextPath() %>/images/icons/help_blue.gif" width=16 height=16 align=right border=0 alt="Get help!" title="Get online help about Look and Feel"></a>--%>
			<h3 class="formtitle"><webwork:text name="'admin.globalsettings.lookandfeel.colours'"/></h3>
		</td>
	</tr>

	<tr bgcolor="#ffffff">
		<td valign=top width=30%>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.top.bar.colour'"/></b></td>
		<td valign=top width=70%><webwork:if test="applicationProperties/string('jira.lf.top.bgcolour') != null"><webwork:property value="applicationProperties/string('jira.lf.top.bgcolour')"/></webwork:if>
                                 <webwork:else>&lt;default&gt;</webwork:else></td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign=top>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.top.text.colour'"/></b></td>
		<td valign=top><webwork:if test="applicationProperties/string('jira.lf.top.textcolour') != null"><webwork:property value="applicationProperties/string('jira.lf.top.textcolour')"/></webwork:if>
                                 <webwork:else>&lt;default&gt;</webwork:else></td>
	</tr>
    <tr bgcolor="#ffffff">
		<td valign=top>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.menu.bar.colour'"/></b></td>
		<td valign=top><webwork:if test="applicationProperties/string('jira.lf.menu.bgcolour') != null"><webwork:property value="applicationProperties/string('jira.lf.menu.bgcolour')"/></webwork:if>
                                 <webwork:else>&lt;default&gt;</webwork:else></td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign=top>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.menu.bar.text.colour'"/></b></td>
		<td valign=top><webwork:if test="applicationProperties/string('jira.lf.menu.textcolour') != null"><webwork:property value="applicationProperties/string('jira.lf.menu.textcolour')"/></webwork:if>
                                 <webwork:else>&lt;default&gt;</webwork:else></td>
	</tr>
    <tr bgcolor="#ffffff">
		<td valign=top>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.menu.bar.highlight.colour'"/></b></td>
		<td valign=top><webwork:if test="applicationProperties/string('jira.lf.menu.highlightcolour') != null"><webwork:property value="applicationProperties/string('jira.lf.menu.highlightcolour')"/></webwork:if>
                                 <webwork:else>&lt;default&gt;</webwork:else></td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign=top>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.menu.bar.text.highlight.colour'"/></b></td>
		<td valign=top><webwork:if test="applicationProperties/string('jira.lf.menu.texthighlightcolour') != null"><webwork:property value="applicationProperties/string('jira.lf.menu.texthighlightcolour')"/></webwork:if>
                                 <webwork:else>&lt;default&gt;</webwork:else></td>
	</tr>
    <tr bgcolor="#ffffff">
		<td valign=top>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.link.colour'"/></b></td>
		<td valign=top><webwork:if test="applicationProperties/string('jira.lf.text.linkcolour') != null"><webwork:property value="applicationProperties/string('jira.lf.text.linkcolour')"/></webwork:if>
                                 <webwork:else>&lt;default&gt;</webwork:else></td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign=top>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.link.active.colour'"/></b></td>
		<td valign=top><webwork:if test="applicationProperties/string('jira.lf.text.activelinkcolour') != null"><webwork:property value="applicationProperties/string('jira.lf.text.activelinkcolour')"/></webwork:if>
                                 <webwork:else>&lt;default&gt;</webwork:else></td>
	</tr>
    <tr bgcolor="#ffffff">
		<td valign=top>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.heading.colour'"/></b></td>
		<td valign=top><webwork:if test="applicationProperties/string('jira.lf.text.headingcolour') != null"><webwork:property value="applicationProperties/string('jira.lf.text.headingcolour')"/></webwork:if>
                                 <webwork:else>&lt;default&gt;</webwork:else></td>
	</tr>
</table>
</td></tr></table>
</p>

<%--<p>--%>
<%--<table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>--%>
<%--<table border="0" cellpadding="3" cellspacing="1" width=100%>--%>
<%----%>
<%--    <tr bgcolor=f0f0f0>--%>
<%--		<td class="colHeaderLink" colspan=2>--%>
<%--         // @todo - fix up--%>
<%--			<a href="http://www.atlassian.com/software/jira/docs/latest/configuration.html#settings" target="_jirahelp"><img src="<%= request.getContextPath() %>/images/icons/help_blue.gif" width=16 height=16 align=right border=0 alt="Get help!" title="Get online help about Look and Feel"></a>--%>
<%--        --%>
<%--			<h3 class="formtitle">Issue Field Descriptions</h3>--%>
<%--		</td>--%>
<%--	</tr>--%>
<%----%>
<%--    <tr bgcolor="#fffff0">--%>
<%--		<td valign=top>&nbsp; <b>Issue Type</b></td>--%>
<%--		<td valign=top><webwork:property value="applicationProperties/string('jira.issue.desc.issuetype')" escape="false" /></td>--%>
<%--	</tr>--%>
<%--	<tr bgcolor="#ffffff">--%>
<%--		<td valign=top width=30%>&nbsp; <b>Summary</b></td>--%>
<%--		<td valign=top width=70%><webwork:property value="applicationProperties/string('jira.issue.desc.summary')" escape="false"  /></td>--%>
<%--	</tr>--%>
<%--    <tr bgcolor="#fffff0">--%>
<%--		<td valign=top>&nbsp; <b>Priority</b></td>--%>
<%--		<td valign=top><webwork:property value="applicationProperties/string('jira.issue.desc.priority')" escape="false" /></td>--%>
<%--	</tr>--%>
<%--    <tr bgcolor="#ffffff">--%>
<%--		<td valign=top>&nbsp; <b>Components</b></td>--%>
<%--		<td valign=top><webwork:property value="applicationProperties/string('jira.issue.desc.components')"  escape="false" /></td>--%>
<%--	</tr>--%>
<%--    <tr bgcolor="#fffff0">--%>
<%--		<td valign=top>&nbsp; <b>Versions</b></td>--%>
<%--		<td valign=top><webwork:property value="applicationProperties/string('jira.issue.desc.versions')" escape="false"  /></td>--%>
<%--	</tr>--%>
<%--    <tr bgcolor="#ffffff">--%>
<%--		<td valign=top>&nbsp; <b>Fix For Version</b></td>--%>
<%--		<td valign=top><webwork:property value="applicationProperties/string('jira.issue.desc.fixfor')"  escape="false" /></td>--%>
<%--	</tr>--%>
<%--    <tr bgcolor="#fffff0">--%>
<%--		<td valign=top>&nbsp; <b>Assignee</b></td>--%>
<%--		<td valign=top><webwork:property value="applicationProperties/string('jira.issue.desc.assignee')"  escape="false" /></td>--%>
<%--	</tr>--%>
<%--    <tr bgcolor="#ffffff">--%>
<%--		<td valign=top>&nbsp; <b>Environment</b></td>--%>
<%--		<td valign=top><webwork:property value="applicationProperties/string('jira.issue.desc.environment')"  escape="false" /></td>--%>
<%--	</tr>--%>
<%--    <tr bgcolor="#fffff0">--%>
<%--		<td valign=top>&nbsp; <b>Description</b></td>--%>
<%--		<td valign=top><webwork:property value="applicationProperties/string('jira.issue.desc.description')"  escape="false" /></td>--%>
<%--	</tr>--%>
<%--    <tr bgcolor="#ffffff">--%>
<%--		<td valign=top>&nbsp; <b>Original Time Tracking</b></td>--%>
<%--		<td valign=top><webwork:property value="applicationProperties/string('jira.issue.desc.original.timetrack')"  escape="false" /></td>--%>
<%--	</tr>--%>
<%--	<tr bgcolor="#fffff0">--%>
<%--		<td valign=top>&nbsp; <b>Estimated Time Tracking</b></td>--%>
<%--		<td valign=top><webwork:property value="applicationProperties/string('jira.issue.desc.timetrack')"  escape="false" /></td>--%>
<%--	</tr>--%>
<%--</table>--%>
<%--</td></tr></table>--%>
<%--</p>--%>



<p>
<table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width=100%>

    <tr bgcolor=f0f0f0>
		<td class="colHeaderLink" colspan="3">
        <%-- // @todo - fix up
			<a href="http://www.atlassian.com/software/jira/docs/latest/configuration.html#settings" target="_jirahelp"><img src="<%= request.getContextPath() %>/images/icons/help_blue.gif" width=16 height=16 align=right border=0 alt="Get help!" title="Get online help about Look and Feel"></a>
        --%>
            <ui:component name="'lookandfeel'" template="help.jsp">
                <ui:param name="'helpURLFragment'" value = "'#timeformats'"/>
            </ui:component>
			<h3 class="formtitle"><webwork:text name="'admin.globalsettings.lookandfeel.date.time.formats'"/></h3>
		</td>
<%--        <td valign=top width=20%><b>Format</b></td>--%>
<%--        <td valign=top width=50%><b>Example</b></td>--%>
	</tr>

    <tr bgcolor="#f0f0f0">
		<td valign=top width=30%>&nbsp;</td>
		<td valign=top width=20%><b><webwork:text name="'admin.globalsettings.lookandfeel.format'"/></b></td>
		<td valign=top width=50%><b><webwork:text name="'admin.globalsettings.lookandfeel.example'"/></b></td>
	</tr>

    <tr bgcolor="#ffffff">
		<td valign=top>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.time.format'"/></b></td>
		<td valign=top><webwork:property value="applicationProperties/defaultBackedString('jira.lf.date.time')"  escape="false" /></td>
        <td valign=top><webwork:property value="/outlookDate/formatTime(currentTimestamp)" /></td>
        </td>
	</tr>
	<tr bgcolor="#fffff0">
		<td valign=top>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.day.format'"/></b></td>
		<td valign=top><webwork:property value="applicationProperties/defaultBackedString('jira.lf.date.day')"  escape="false" /></td>
        <td valign=top><webwork:property value="/outlookDate/formatDay(currentTimestamp)" /></td>
        </td>
	</tr>
    <tr bgcolor="#ffffff">
		<td valign=top>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.complete.date.time.format'"/></b></td>
		<td valign=top><webwork:property value="applicationProperties/defaultBackedString('jira.lf.date.complete')"  escape="false" /></td>
        <td valign=top><webwork:property value="/outlookDate/formatDMYHMS(currentTimestamp)" /></td>
        </td>
	</tr>
	<tr bgcolor="#fffff0">
		<td valign=top>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.day.month.year.format'"/></b></td>
		<td valign=top><webwork:property value="applicationProperties/defaultBackedString('jira.lf.date.dmy')"  escape="false" /></td>
        <td valign=top><webwork:property value="/outlookDate/formatDMY(currentTimestamp)" /></td>
        </td>
	</tr>
	<tr bgcolor="#fffff0">
		<td valign=top>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.date.picker.format'"/></b> <span class="small">(<webwork:text name="'admin.globalsettings.lookandfeel.javascript.format'"/>)</span></td>
		<td valign=top><webwork:property value="applicationProperties/defaultBackedString('jira.date.picker.java.format')"  escape="false" />
                       <span class="small">(<webwork:property value="applicationProperties/defaultBackedString('jira.date.picker.javascript.format')"  escape="false" />)</span></td>
        <td valign=top><webwork:property value="/outlookDate/formatDatePicker(currentTimestamp)" /></td>
        </td>
	</tr>
    <tr bgcolor="#ffffff">
		<td valign=top>&nbsp; <b><webwork:text name="'admin.globalsettings.lookandfeel.date.time.picker.format'"/></b> <span class="small">(<webwork:text name="'admin.globalsettings.lookandfeel.javascript.format'"/>)</span></td>
		<td valign=top nowrap><webwork:property value="applicationProperties/defaultBackedString('jira.date.time.picker.java.format')"  escape="false" />
                       <span class="small">(<webwork:property value="applicationProperties/defaultBackedString('jira.date.time.picker.javascript.format')"  escape="false" />)</span></td>
        <td valign=top><webwork:property value="/outlookDate/formatDateTimePicker(currentTimestamp)" /></td>
        </td>
	</tr>
</table>
</td></tr></table>
</p>


<p>
<table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width=100%>
	<tr bgcolor=f0f0f0>
		<td class="colHeaderLink" colspan=2 align=center>
			<a href="EditLookAndFeel!default.jspa" accesskey="E"><b><webwork:text name="'admin.common.phrases.edit.configuration'"/></b></a>
		</td>
	</tr>
</table>
</td></tr></table>
</p>

</body>
</html>
