
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><webwork:text name="'admin.import.restore.jira.data'"/></title>
</head>

<body>

<page:applyDecorator name="jiraform">
	<page:param name="action">XmlRestore.jspa</page:param>
	<page:param name="title"><webwork:text name="'admin.import.restore.jira.data.from.backup'"/></page:param>
	<page:param name="width">100%</page:param>
	<page:param name="instructions">
		<webwork:text name="'admin.import.instruction'"/>
		<ol>
			<li> <webwork:text name="'admin.import.restore.from.file'"/></li>
            <li> <webwork:text name="'admin.import.specify.unique.index'"/></li>
		</ol>

		<p>
		<webwork:text name="'admin.import.warning'">
		    <webwork:param name="'value0'"><b><font color="990000"></webwork:param>
		    <webwork:param name="'value1'"></font></b></webwork:param>
		    <webwork:param name="'value2'"><a href="XmlBackup!default.jspa"><b></webwork:param>
		    <webwork:param name="'value3'"></b></a></webwork:param>
		</webwork:text>
		</p>

		<webwork:text name="'admin.import.note1'">
		    <webwork:param name="'value0'"><font color="990000"></webwork:param>
		    <webwork:param name="'value1'"></font></webwork:param>
		</webwork:text><br>
		<webwork:text name="'admin.import.note2'">
		    <webwork:param name="'value0'"><font color="990000"></webwork:param>
		    <webwork:param name="'value1'"></font></webwork:param>
		</webwork:text>
	</page:param>
	<page:param name="submitName"><webwork:text name="'admin.import.restore'"/></page:param>
	<page:param name="cancelURI">default.jsp</page:param>
    <page:param name="helpURL">restore_data</page:param>

	<ui:textfield label="text('admin.export.file.name')" name="'filename'">
		<ui:param name="'size'">100</ui:param>
		<ui:param name="'description'"><webwork:text name="'admin.import.file.name.description'"/></ui:param>
	</ui:textfield>

	<ui:textfield label="text('admin.import.index.location')" name="'indexPath'">
		<ui:param name="'size'">50</ui:param>
		<ui:param name="'description'">
			<webwork:text name="'admin.import.the.absolute.or.relative.path'"/>
		</ui:param>
    </ui:textfield>

    <ui:textarea label="text('admin.import.license.if.required')" name="'licenseString'" cols="50" rows="5">
        <ui:param name="'description'">
			<webwork:text name="'admin.import.enter.a.license'"/>
		</ui:param>
    </ui:textarea>

    <ui:component name="'saxParser'" template="hidden.jsp" theme="'single'"  />
</page:applyDecorator>

</body>
</html>