<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><webwork:text name="'admin.projects.edit.project'"/>: <webwork:property value="project/string('name')" /></title>
</head>
<body>
<page:applyDecorator name="jiraform">
	<page:param name="title"><webwork:text name="'admin.projects.edit.project'"/>: <webwork:property value="project/string('name')" /></page:param>
	<page:param name="width">100%</page:param>
    <page:param name="description"><webwork:text name="'admin.projects.edit.project.caption'"/></page:param>
	<page:param name="action">EditProject.jspa</page:param>
	<page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
	<page:param name="cancelURI">ViewProject.jspa?pid=<webwork:property value="project/long('id')" /></page:param>

	<ui:textfield label="/text('common.words.name')" name="'name'" size="'50'" >
        <ui:param name="'mandatory'" value="'true'" />
    </ui:textfield>

	<ui:textfield label="/text('common.concepts.url')" name="'url'" size="'50'" />

    <ui:component label="/text('common.concepts.projectlead')" name="'lead'" template="userselect.jsp">
        <ui:param name="'formname'" value="'jiraform'" />
        <ui:param name="'projectId'" value="project/long('id')" />
        <ui:param name="'size'">50</ui:param>
        <ui:param name="'userMode'" value="'1'"/>
        <ui:param name="'description'" value="text('admin.addproject.project.lead.description')"/>
        <ui:param name="'mandatory'" value="'true'" />
    </ui:component>

    <jsp:include page="/includes/admin/project/defaultassignee.jsp"/>

	<ui:textarea label="text('common.words.description')" name="'description'" rows="5" cols="40">
		<ui:param name="'description'">
			<webwork:text name="'admin.addproject.description.description'">
			    <webwork:param name="'value0'"><br></webwork:param>
			</webwork:text>
		</ui:param>
	</ui:textarea>

    <ui:component name="'pid'" template="hidden.jsp" />
</page:applyDecorator>
</body>
</html>