<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><webwork:text name="'browseprojects.title'" /></title>
</head>
<body>
<table width="100%" cellpadding="15"><tr bgcolor="ffffff"><td>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><webwork:text name="'browseprojects.title'"/></page:param>
    <page:param name="width">100%</page:param>
    <p>
    <webwork:text name="'browse.projects.desc'"/><webwork:if test="enterprise == true">&nbsp;<webwork:text name="'browse.projects.desc.category'"/></webwork:if>
</page:applyDecorator>
<br>
<webwork:if test="browseableProjects/size > 0">
<table bgcolor="ffffff" width="100%"><tr><td>

    <table bgcolor="ffffff" width="95%" style="margin-left: auto; margin-right: auto;">
        <webwork:if test="enterprise == true">
            <webwork:iterator value="/projectManager/projectCategories" status="'projectCategories'">
                <webwork:if test="browseableProjectsInCategory(.)/empty == false">
                    <tr><td>
                        <table bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width="100%">
                        <tr><td>
                            <table  border="0" cellpadding="3" cellspacing="1" width=100%>
                                <tr bgcolor="f0f0f0"><td colspan="4">
                                        <h3 class="formtitle"><webwork:text name="'common.concepts.category'" /> : <webwork:property value="string('name')" /></h3>
                                </td></tr>
                                <webwork:property value="browseableProjectsInCategory(.)">
                                    <%@ include file="/includes/project/projectstable.jsp" %>
                                </webwork:property>
                            </table>
                        </td></tr>
                        </table>
                        <br>
                    </td></tr>
                </webwork:if>
            </webwork:iterator>
        </webwork:if>

        <webwork:if test="browseableProjectsInCategory(null)/empty == false">
            <tr><td>
                <table bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr>
                    <td>
                        <table  border="0" cellpadding="3" cellspacing="1" width=100%>
                            <webwork:property value="browseableProjectsInCategory(null)">
                                <%@ include file="/includes/project/projectstable.jsp" %>
                            </webwork:property>
                        </table>
                    </td>
                </tr>
                </table>
            </td></tr>
        </webwork:if>
    </table>
</td></tr></table>
</webwork:if>
<webwork:else>
	<p>
		<table bgcolor="ffffff" border="0" cellpadding="0" cellspacing="0" width="95%">
            <tr><td>
                <table  border="0" cellpadding="3" cellspacing="1" width=100%>
                    <%@ include file="/includes/noprojects.jsp" %>
                </table>
            </td></tr>
        </table>
	</p>
</webwork:else>
</td></tr>
</table>
</body>
</html>