<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<!-- Step 3 - Bulk Operation: Operation Details -->

<html>
<head>
	<title><webwork:text name="'bulkedit.title'"/> </title>
</head>
<body>
<jsp:include page="/includes/js/date_picker.jsp" flush="true" />
<script language="javascript">
    function check(id)
    {
        eval("document.jiraform." + id + ".checked = true");
    }
</script>
<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="ffffff">
<tr>
    <td width=200 valign=top bgcolor=f0f0f0>
        <jsp:include page="/secure/views/bulkedit/bulkedit_leftpane.jsp" flush="false" />
    </td>
    <td valign=top>
        <table cellspacing=0 cellpadding=10 border=0 width="100%"><tr><td>
            <page:applyDecorator name="jirapanel">
                <page:param name="title"><webwork:text name="'bulkedit.title'"/>: <webwork:text name="'bulkedit.step4.title'"/></page:param>
                <page:param name="description">
                    <webwork:text name="'bulkedit.step4'"/>
                </page:param>
                <page:param name="width">100%</page:param>
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                    <tr>
                        <td colspan="2">
                        <webwork:text name="'bulk.move.confirmation.desc'"/>
                        </td>
                    </tr>
                </table>
            </page:applyDecorator>

            <!-- Send Mail confirmation -->
            <webwork:if test="/canDisableMailNotifications() == true && /bulkEditBean/hasMailServer == true">
                <jsp:include page="/includes/bulkedit/bulkedit-sendnotifications-confirmation.jsp"/>
            </webwork:if>

            <p>
            <form name="jiraform" action="BulkMovePerform.jspa" method="POST">
            <%@include file="bulkchooseaction_submit_buttons.jsp"%>
            <p>


            <webwork:if test="/bulkEditBean/subTaskBulkEditBean">
                <webwork:property value="/bulkEditBean">
                <page:applyDecorator name="jirapanel">
                    <page:param name="title"><webwork:text name="'bulk.move.parent.issues'" /></page:param>
                    <page:param name="instructions">
                        <webwork:text name="'bulk.move.confirm.subheading'">
                            <webwork:param name="'value0'"><strong><webwork:property value="./selectedIssues/size()" /></strong>
                            </webwork:param>
                            <webwork:param name="'value1'">
                                <webwork:iterator value="./issueTypeObjects" status="'status'">
                                <webwork:component name="'issuetype'" template="constanticon.jsp">
                                  <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                                  <webwork:param name="'iconurl'" value="./iconUrl" />
                                  <webwork:param name="'alt'" value="./name" />
                                </webwork:component>
                                 <strong><webwork:property value="./name" /></strong><webwork:if test="@status/last != true">, </webwork:if>
                                </webwork:iterator>
                            </webwork:param>
                            <webwork:param name="'value2'">
                                <webwork:iterator value="./projects" status="'status'">
                                    <strong><webwork:property value="./string('name')" /></strong><webwork:if test="@status/last != true">, </webwork:if>
                                </webwork:iterator></webwork:param>
                        </webwork:text>
                    </page:param>
                    <%@include file="/secure/views/bulkedit/confirmationdetails.jsp"%>
                    <a href="#top" class="backToTop"><webwork:text name="'common.concepts.back.to.top'"/></a>

                </page:applyDecorator>
                </webwork:property>
                <p />
                <webwork:property value="/bulkEditBean/subTaskBulkEditBean">
                <page:applyDecorator name="jirapanel">
                    <page:param name="title"><webwork:text name="'bulk.move.subtask.issues'" /></page:param>
                    <page:param name="instructions">
                        <webwork:text name="'bulk.move.confirm.subheading'">
                            <webwork:param name="'value0'"><strong><webwork:property value="./selectedIssues/size()" /></strong>
                            </webwork:param>
                            <webwork:param name="'value1'">
                                <webwork:iterator value="./issueTypeObjects" status="'status'">
                                <webwork:component name="'issuetype'" template="constanticon.jsp">
                                  <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                                  <webwork:param name="'iconurl'" value="./iconUrl" />
                                  <webwork:param name="'alt'" value="./name" />
                                </webwork:component>
                                 <strong><webwork:property value="./name" /></strong><webwork:if test="@status/last != true">, </webwork:if>
                                </webwork:iterator>
                            </webwork:param>
                            <webwork:param name="'value2'">
                                <webwork:iterator value="./projects" status="'status'">
                                    <strong><webwork:property value="./string('name')" /></strong><webwork:if test="@status/last != true">, </webwork:if>
                                </webwork:iterator></webwork:param>
                        </webwork:text>
                    </page:param>

                    <%@include file="/secure/views/bulkedit/confirmationdetails.jsp"%>
                    <a href="#top" class="backToTop"><webwork:text name="'common.concepts.back.to.top'"/></a>

                </page:applyDecorator>
                </webwork:property>
            </webwork:if>
            <webwork:else>
                <webwork:property value="/bulkEditBean">
                    <%@include file="/secure/views/bulkedit/confirmationdetails.jsp"%>
                </webwork:property>
            </webwork:else>

            <br>
            <%@include file="bulkchooseaction_submit_buttons.jsp"%>
            </form>
            </td></tr>

            </table>
    </td>
</tr>
</table>
</body>
</html>