<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<!-- Step 3 - Bulk Operation: Operation Details -->

<html>
<head>
	<title><webwork:text name="'bulkedit.title'"/> </title>
</head>
<body>
<jsp:include page="/includes/js/date_picker.jsp" flush="true" />
<script language="javascript">
    function check(id)
    {
        eval("document.jiraform." + id + ".checked = true");
    }
</script>
<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="ffffff">
<tr>
    <td width="200" valign="top" bgcolor="f0f0f0">
        <jsp:include page="/secure/views/bulkedit/bulkedit_leftpane.jsp" flush="false" />
    </td>
    <td valign="top">
        <table cellspacing="0" cellpadding="10" border="0" width="100%"><tr><td>
            <page:applyDecorator name="jirapanel">
                <page:param name="title"><webwork:text name="'bulkedit.title'"/>: <webwork:text name="'bulkedit.step3.title'"/></page:param>
                <page:param name="description">
                    <webwork:text name="'bulkedit.step3'"/>
                </page:param>
                <page:param name="width">100%</page:param>
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                    <tr>
                        <td colspan="2">
                            <webwork:if test="hasAvailableActions == true">
                                <webwork:text name="'bulk.move.update.fields'" />.
                                <%@ include file="/secure/views/bulkedit/updatefieldsinstruction.jsp"%>
                            </webwork:if>
                            <webwork:else>
                                <webwork:text name="'bulk.move.cannotperform'" />
                            </webwork:else>
                        </td>
                    </tr>

                    <tr>
                        <td>
                            <webwork:property value="/bulkEditBean/messagedFieldLayoutItems">
                                <webwork:if test=". != null && ./empty == false">
                                <div class="noteBox">
                                    <table class="maxWidth blank">
                                        <tr>
                                            <td><b><webwork:text name="'bulk.move.fieldname'" /></b></td>
                                            <td><b><webwork:text name="'bulk.move.message'" /></b></td>
                                        </tr>
                                        <webwork:iterator value="./keySet()">
                                            <tr>
                                                <td align="left" valign="top">
                                                    <i><webwork:text name="."/></i>:
                                                </td>
                                                    <webwork:if test="/bulkEditBean/messagedFieldLayoutItems/(.)/warning == true">
                                                        <td><span id="warning-<webwork:text name="."/>" class="warning"><webwork:property value="/bulkEditBean/messagedFieldLayoutItems/(.)/message" escape="'false'"/></span></td>
                                                    </webwork:if>
                                                    <webwork:elseIf test="/bulkEditBean/messagedFieldLayoutItems/(.)/fatal == true">
                                                        <td><span id="error-<webwork:text name="."/>" class="errMsg"><webwork:property value="/bulkEditBean/messagedFieldLayoutItems/(.)/message" escape="'false'"/></span></td>
                                                    </webwork:elseIf>
                                            </tr>
                                        </webwork:iterator>
                                    </table>
                                </div>
                                </webwork:if>
                            </webwork:property>

                            <p>


                        </td>
                    </tr>
                </table>
            </page:applyDecorator>
            <p>
            <form name="jiraform" action="BulkMoveFieldsValidation.jspa" method="POST">
            <%@include file="bulkchooseaction_submit_buttons.jsp"%>
            <ui:component name="'subTaskPhase'" template="hidden.jsp"  />

            <br><br>

            <%@include file="fielddetails.jsp"%>

            <jsp:include page="/includes/bulkedit/bulkedit-sendnotifications.jsp"/>

            <p>

            <%@include file="bulkchooseaction_submit_buttons.jsp"%>
            </form>
        </td></tr></table>
    </td>
</tr>
</table>
</body>
</html>