
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><webwork:text name="'deleteissue.title'"/>: [<webwork:property value="issue/string('key')" />] <webwork:property value="issue/string('summary')" /></title>
</head>

<body>

<table cellpadding=0 cellspacing=0 border=0 width=100%>
<tr>
<td width=200 bgcolor="f0f0f0" valign=top>
    <jsp:include page="/includes/panels/issue/summary.jsp" />
</td>
<td bgcolor=ffffff valign=top>

<table width=100% cellpadding=10 cellspacing=0 border=0><tr><td>

    <page:applyDecorator name="jiraform">
        <page:param name="title"><webwork:text name="'deleteissue.title'"/></page:param>
        <page:param name="description">
            <p><webwork:text name="'deleteissue.desc.line1'"/></p>
            <p><webwork:text name="'deleteissue.desc.line2'"/></p>
            <p>
            <webwork:if test="/numberOfSubTasks > 0 ">
                <webwork:text name="'deleteissue.subtask.warning'">
                    <webwork:param name="'value0'"><span class="warning"></webwork:param>
                    <webwork:param name="'value1'"></span></webwork:param>
                    <webwork:param name="'value2'"><webwork:property value="/numberOfSubTasks"/></webwork:param>
                </webwork:text>
            </webwork:if>
            <p>
        </page:param>
        <page:param name="width">100%</page:param>
        <page:param name="autoSelectFirst">false</page:param>
        <page:param name="action"><%=request.getContextPath()%>/secure/DeleteIssue.jspa</page:param>
        <page:param name="submitName"><webwork:property value="text('deleteissue.submitname')"/></page:param>
        <page:param name="cancelURI"><webwork:property value="issuePath" /></page:param>
        <ui:component name="'id'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'viewIssueKey'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'confirm'" value="'true'" template="hidden.jsp" theme="'single'"  />
    </page:applyDecorator>

</td></tr></table>
</td></tr></table>

</body>
</html>