<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><webwork:text name="'logwork.title'"/></title>
</head>
<body>

<script language="JavaScript">
    function selectNewEstimate()
    {
        document.forms['jiraform'].elements['new_estimate_id'].checked = true;
    }
</script>

<table cellpadding=0 cellspacing=0 border=0 width=100%>
<tr>
<td width=200 bgcolor="f0f0f0" valign=top>
    <jsp:include page="/includes/panels/issue/summary.jsp" />
</td>
<td bgcolor=ffffff valign=top>
<table width="100%" cellpadding=10 cellspacing=0 border=0><tr><td>
    <page:applyDecorator name="jiraform">
        <page:param name="action">LogWork.jspa</page:param>
        <page:param name="cancelURI"><webwork:property value="issuePath" /></page:param>
        <page:param name="submitName"> <webwork:property value="text('common.forms.log')"/> </page:param>
        <page:param name="width">100%</page:param>
        <page:param name="title"><webwork:text name="'logwork.title'"/></page:param>
        <page:param name="description">
            <webwork:text name="'logwork.desc'"/>
        </page:param>

        <webwork:if test="/issueExists == true">
        <ui:textfield label="text('common.concepts.time.spent')" name="'timeLogged'">
            <ui:param name="'description'">
                <webwork:text name="'logwork.timespent.desc'">
                    <webwork:param name="'value0'"><webwork:property value="daysPerWeek" /></webwork:param>
                    <webwork:param name="'value1'"><webwork:property value="hoursPerDay" /></webwork:param>
                </webwork:text>
            </ui:param>
        </ui:textfield>

        <webwork:if test="hasIssuePermission('edit', issue)">
            <tr>
                <td bgcolor=fffff0 valign=top align=right>
                    <webwork:text name="'logwork.adjustestimate'"/>:
                </td>

                <td bgcolor=ffffff valign=top>
                    <input type="radio" name="adjustEstimate" id="auto_adjust_estimate_id" align=absmiddle value="auto" <webwork:if test="adjustEstimate == 'auto'">checked</webwork:if>>
                    <label for="auto_adjust_estimate_id">
                    <webwork:text name="'logwork.bullet1.autoadjust'"/><br>
                    &nbsp; &nbsp; &nbsp; &nbsp; <font size=1>(<webwork:text name="'logwork.bullet1.autoadjust.desc'"/>)</font><br>
                    </label>

                    <input type="radio" name="adjustEstimate" id="leave_estimate_id" align=absmiddle value="leave" <webwork:if test="adjustEstimate == 'leave'">checked</webwork:if>>
                    <label for="leave_estimate_id">
                    <webwork:if test="estimate==null">
                        <webwork:text name="'logwork.bullet2.estimateunknown'"/><br>
                    </webwork:if>
                    <webwork:else>
                        <webwork:text name="'logwork.bullet2.leaveestimate'">
                            <webwork:param name="'value0'"><b><webwork:property value="estimate" /></b></webwork:param>
                        </webwork:text><br>
                    </webwork:else>
                    </label>

                    <input type="radio" name="adjustEstimate" id="new_estimate_id" align=absmiddle value="new" <webwork:if test="adjustEstimate == 'new'">checked</webwork:if>>
                    <label for="new_estimate_id">
                    <webwork:text name="'logwork.bullet3.setnewestimate'"/> <br>
                    </label>
                </td>
            </tr>
            <tr>
                <td bgcolor=fffff0 valign=top align=right/>
                <td bgcolor=ffffff valign=top>
                    <input type="text" name="newEstimate" align=absmiddle size="5" onChange="selectNewEstimate();" value="<webwork:property value="/newEstimate"/>"> <font size=1>(<webwork:text name="'logwork.bullet3.example'"/>)</font><br>
                </td>
            </tr>
        </webwork:if>

        <ui:textarea label="text('logwork.workdesc')" name="'comment'" cols="60" rows="10" />

        <webwork:if test="commentLevels/size > 0">
            <ui:select label="text('logwork.viewableby')" name="'commentLevel'" list="commentLevels"
                listKey="'.'" listValue="'.'">
                <ui:param name="'headerrow'" value="text('common.filters.allusers')" />
                <ui:param name="'headervalue'" value="''" />
            </ui:select>
        </webwork:if>

        <ui:component name="'id'" template="hidden.jsp" theme="'single'" />
        </webwork:if>
    </page:applyDecorator>
</td></tr></table>
</td></tr></table>
</body>
</html>