<%@ taglib uri="webwork" prefix="webwork" %>
<style type="text/css">
    .grid
    {
        margin-top: 0px;
        margin-bottom: 0px;
    }
</style>
<webwork:if test="applicationProperties/option('jira.option.issuelinking') == true">
    <webwork:if test="linkCollection/linkTypes/empty == false">
    <table id="viewLinks" border="1" cellpadding="3" cellspacing="0" width="100%">
    <webwork:iterator value="linkCollection/linkTypes">
        <webwork:property value="/linkCollection/outwardIssues(./name)" id="outwardIssues" />
        <webwork:property value="/linkCollection/inwardIssues(./name)" id="inwardIssues" />
        <webwork:if test="@outwardIssues/empty == false || @inwardIssues/empty == false">
            <tr>
                <th bgcolor="#dddddd" colspan="2">
                    <strong><webwork:property value="./name" /></strong>
                </th>
            </tr>
            <tr>
                <td bgcolor="ffffff" valign="top" width="50%">
                    <webwork:if test="@outwardIssues/empty == false">
                        <div class="linkDescription"><webwork:text name="'common.concepts.linkDescription'">
                            <webwork:param name="'value0'"><em><webwork:property value="./outward" /></em></webwork:param>
                        </webwork:text>:</div>
                        <webwork:property value="true" id="isOutward" />
                        <webwork:property value="@outwardIssues">
                            <%@ include file="/includes/snippets/viewlinkedissuestable.jsp"%>
                        </webwork:property>
                    </webwork:if>
                    <webwork:else>&nbsp;</webwork:else>
                </td>
                <td bgcolor="ffffff" valign="top" width="50%">
                    <webwork:if test="@inwardIssues/empty == false">
                        <div class="linkDescription"><webwork:text name="'common.concepts.linkDescription'">
                            <webwork:param name="'value0'"><em><webwork:property value="./inward" /></em></webwork:param>
                        </webwork:text>:</div>
                        <webwork:property value="false" id="isOutward" />
                        <webwork:property value="@inwardIssues">
                            <%@ include file="/includes/snippets/viewlinkedissuestable.jsp"%>
                        </webwork:property>
                    </webwork:if>
                    <webwork:else>&nbsp;</webwork:else>
                </td>
            </tr>
        </webwork:if>
        <%-- need to reset the page level variables property --%>
        <webwork:property value="" id="outwardIssues" />
        <webwork:property value="" id="inwardIssues" />
    </webwork:iterator>
    </table>
    </webwork:if>
</webwork:if>